<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="Include\cstdlib">
      <FileType>Document</FileType>
    </ClInclude>
    <ClInclude Include="Include\libcmt.h" />
    <ClInclude Include="Include\P\xmath.h" />
    <ClInclude Include="Include\stdarg.h" />
    <ClInclude Include="Include\vadefs.h" />
    <ClInclude Include="Include\xstddef">
      <FileType>Document</FileType>
    </ClInclude>
    <ClInclude Include="Include\limits">
      <FileType>Document</FileType>
    </ClInclude>
    <ClInclude Include="Include\P\system_error">
      <FileType>Document</FileType>
    </ClInclude>
    <ClInclude Include="Include\xlocbuf">
      <FileType>Document</FileType>
    </ClInclude>
    <ClInclude Include="Include\xtr1common">
      <FileType>Document</FileType>
    </ClInclude>
    <None Include="bldnt.cmd" />
    <ClInclude Include="Include\cerrno">
      <FileType>Document</FileType>
    </ClInclude>
    <ClInclude Include="Include\cfloat">
      <FileType>Document</FileType>
    </ClInclude>
    <None Include="Include\P\climits" />
    <ClInclude Include="Include\cmath">
      <FileType>Document</FileType>
    </ClInclude>
    <ClInclude Include="Include\cstddef">
      <FileType>Document</FileType>
    </ClInclude>
    <ClInclude Include="Include\cstdio">
      <FileType>Document</FileType>
    </ClInclude>
    <ClInclude Include="Include\cstring">
      <FileType>Document</FileType>
    </ClInclude>
    <ClInclude Include="Include\cwchar">
      <FileType>Document</FileType>
    </ClInclude>
    <ClInclude Include="Include\exception">
      <FileType>Document</FileType>
    </ClInclude>
    <ClInclude Include="Include\P\fstream">
      <FileType>Document</FileType>
    </ClInclude>
    <None Include="Include\P\iomanip" />
    <None Include="Include\P\ios" />
    <None Include="Include\P\iosfwd" />
    <None Include="Include\P\iostream" />
    <ClInclude Include="Include\P\istream">
      <FileType>Document</FileType>
    </ClInclude>
    <None Include="Include\P\locale" />
    <ClInclude Include="Include\P\ostream">
      <FileType>Document</FileType>
    </ClInclude>
    <ClInclude Include="Include\P\streambuf">
      <FileType>Document</FileType>
    </ClInclude>
    <ClInclude Include="Include\P\type_traits">
      <FileType>Document</FileType>
    </ClInclude>
    <ClInclude Include="Include\P\utility">
      <FileType>Document</FileType>
    </ClInclude>
    <ClInclude Include="Include\P\xfwrap">
      <FileType>Document</FileType>
    </ClInclude>
    <ClInclude Include="Include\P\xfwrap1">
      <FileType>Document</FileType>
    </ClInclude>
    <ClInclude Include="Include\P\xmemory">
      <FileType>Document</FileType>
    </ClInclude>
    <ClInclude Include="Include\P\xstring">
      <FileType>Document</FileType>
    </ClInclude>
    <ClInclude Include="Include\P\xutility">
      <FileType>Document</FileType>
    </ClInclude>
    <ClInclude Include="Include\P\xxtype_traits">
      <FileType>Document</FileType>
    </ClInclude>
    <None Include="makefile" />
    <None Include="makefile.inc" />
    <None Include="makefile.sub" />
    <ClInclude Include="Include\P\stdexcept">
      <FileType>Document</FileType>
    </ClInclude>
    <None Include="Include\P\string" />
    <ClInclude Include="Include\typeinfo">
      <FileType>Document</FileType>
    </ClInclude>
    <None Include="Include\P\xdebug" />
    <ClInclude Include="Include\xiosbase">
      <FileType>Document</FileType>
    </ClInclude>
    <None Include="Include\P\xlocale" />
    <None Include="Include\P\xlocinfo" />
    <None Include="Include\P\xlocmes" />
    <None Include="Include\P\xlocmon" />
    <None Include="Include\P\xlocnum" />
    <None Include="Include\P\xloctime" />
  </ItemGroup>
  <ItemGroup>
    <ClCompile Include="Src\P\cerr.cpp" />
    <ClCompile Include="Src\P\cin.cpp" />
    <ClCompile Include="Src\P\clog.cpp" />
    <ClCompile Include="Src\P\cout.cpp" />
    <ClCompile Include="Src\P\fiopen.cpp" />
    <ClCompile Include="Src\P\iomanip.cpp" />
    <ClCompile Include="Src\P\ios.cpp" />
    <ClCompile Include="Src\P\iosptrs.cpp" />
    <ClCompile Include="Src\P\iostream.cpp" />
    <ClCompile Include="Src\P\locale.cpp" />
    <ClCompile Include="Src\P\locale0.cpp" />
    <ClCompile Include="Src\P\newaop.cpp" />
    <ClCompile Include="Src\P\nomemory.cpp" />
    <ClCompile Include="Src\P\nothrow.cpp" />
    <ClCompile Include="Src\P\raisehan.cpp" />
    <ClCompile Include="Src\P\stdthrow.cpp" />
    <ClCompile Include="Src\P\uncaught.cpp" />
    <ClCompile Include="Src\P\ushcerr.cpp" />
    <ClCompile Include="Src\P\ushcin.cpp" />
    <ClCompile Include="Src\P\ushclog.cpp" />
    <ClCompile Include="Src\P\ushcout.cpp" />
    <ClCompile Include="Src\P\ushiostr.cpp" />
    <ClCompile Include="Src\P\wcerr.cpp" />
    <ClCompile Include="Src\P\wcin.cpp" />
    <ClCompile Include="Src\P\wclog.cpp" />
    <ClCompile Include="Src\P\wcout.cpp" />
    <ClCompile Include="Src\P\wctrans.c" />
    <ClCompile Include="Src\P\wctype.c" />
    <ClCompile Include="Src\P\wiostrea.cpp" />
    <ClCompile Include="Src\P\wlocale.cpp" />
    <ClCompile Include="Src\P\xcosh.c" />
    <ClCompile Include="Src\P\xdateord.cpp" />
    <ClCompile Include="Src\P\xdebug.cpp" />
    <ClCompile Include="Src\P\xdnorm.c" />
    <ClCompile Include="Src\P\xdscale.c" />
    <ClCompile Include="Src\P\xdtest.c" />
    <ClCompile Include="Src\P\xexp.c" />
    <ClCompile Include="Src\P\xfcosh.c" />
    <ClCompile Include="Src\P\xfdnorm.c" />
    <ClCompile Include="Src\P\xfdscale.c" />
    <ClCompile Include="Src\P\xfdtest.c" />
    <ClCompile Include="Src\P\xferaise.c" />
    <ClCompile Include="Src\P\xfexp.c" />
    <ClCompile Include="Src\P\xfsinh.c" />
    <ClCompile Include="Src\P\xfvalues.c" />
    <ClCompile Include="Src\P\xgetwctype.c" />
    <ClCompile Include="Src\P\xlcosh.c" />
    <ClCompile Include="Src\P\xldnorm.c" />
    <ClCompile Include="Src\P\xldscale.c" />
    <ClCompile Include="Src\P\xldtest.c" />
    <ClCompile Include="Src\P\xlexp.c" />
    <ClCompile Include="Src\P\xlocale.cpp" />
    <ClCompile Include="Src\P\xlock.cpp" />
    <ClCompile Include="Src\P\xlpoly.c" />
    <ClCompile Include="Src\P\xlsinh.c" />
    <ClCompile Include="Src\P\xlvalues.c" />
    <ClCompile Include="Src\P\xmbtowc.c" />
    <ClCompile Include="Src\P\xmtx.c" />
    <ClCompile Include="Src\P\xmutex.cpp" />
    <ClCompile Include="Src\P\xpoly.c" />
    <ClCompile Include="Src\P\xsinh.c" />
    <ClCompile Include="Src\P\xstod.c" />
    <ClCompile Include="Src\P\xstof.c" />
    <ClCompile Include="Src\P\xstol.c" />
    <ClCompile Include="Src\P\xstold.c" />
    <ClCompile Include="Src\P\xstoll.c" />
    <ClCompile Include="Src\P\xstoul.c" />
    <ClCompile Include="Src\P\xstoull.c" />
    <ClCompile Include="Src\P\xstrcoll.c" />
    <ClCompile Include="Src\P\xstrxfrm.c" />
    <ClCompile Include="Src\P\xtowlower.c" />
    <ClCompile Include="Src\P\xtowupper.c" />
    <ClCompile Include="Src\P\xvalues.c" />
    <ClCompile Include="Src\P\xwcscoll.c" />
    <ClCompile Include="Src\P\xwcsxfrm.c" />
    <ClCompile Include="Src\P\xwctomb.c" />
    <ClCompile Include="Src\P\_tolower.c" />
    <ClCompile Include="Src\P\_toupper.c" />
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="..\Include\crtplus.h" />
    <ClInclude Include="Include\yvals.h" />
    <ClInclude Include="Include\P\ymath.h" />
    <ClInclude Include="Include\awint.h" />
    <ClInclude Include="Include\conio.h" />
    <ClInclude Include="Include\crtdbg.h" />
    <ClInclude Include="Include\crtdefs.h" />
    <ClInclude Include="Include\crtwrn.h" />
    <ClInclude Include="Include\cruntime.h" />
    <ClInclude Include="Include\ctime.h" />
    <ClInclude Include="Include\ctype.h" />
    <ClInclude Include="Include\dbgint.h" />
    <ClInclude Include="Include\direct.h" />
    <ClInclude Include="Include\eh.h" />
    <ClInclude Include="Include\errmsg.h" />
    <ClInclude Include="Include\errno.h" />
    <ClInclude Include="Include\excpt.h" />
    <ClInclude Include="Include\fcntl.h" />
    <ClInclude Include="Include\file2.h" />
    <ClInclude Include="Include\float.h" />
    <ClInclude Include="Include\fltintrn.h" />
    <ClInclude Include="Include\internal.h" />
    <ClInclude Include="Include\internal_securecrt.h" />
    <ClInclude Include="Include\io.h" />
    <ClInclude Include="Include\limits.h" />
    <ClInclude Include="Include\locale.h" />
    <ClInclude Include="Include\malloc.h" />
    <ClInclude Include="Include\math.h" />
    <ClInclude Include="Include\memory.h" />
    <ClInclude Include="Include\new.h" />
    <ClInclude Include="Include\oscalls.h" />
    <ClInclude Include="Include\sal.h" />
    <ClInclude Include="Include\search.h" />
    <ClInclude Include="Include\sect_attribs.h" />
    <ClInclude Include="Include\setlocal.h" />
    <ClInclude Include="Include\share.h" />
    <ClInclude Include="Include\signal.h" />
    <ClInclude Include="Include\sourceannotations.h" />
    <ClInclude Include="Include\stddef.h" />
    <ClInclude Include="Include\stdio.h" />
    <ClInclude Include="Include\stdlib.h" />
    <ClInclude Include="Include\string.h" />
    <ClInclude Include="Include\tchar.h" />
    <ClInclude Include="Include\time.h" />
    <ClInclude Include="Include\use_ansi.h" />
    <ClInclude Include="Include\wchar.h" />
    <ClInclude Include="Include\wctype.h" />
    <ClInclude Include="Include\xlocinfo.h" />
    <ClInclude Include="Include\xmtx.h" />
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <Keyword>Win32Proj</Keyword>
    <RootNamespace>CRT</RootNamespace>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>StaticLibrary</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <CharacterSet>NotSet</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>StaticLibrary</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <WholeProgramOptimization>false</WholeProgramOptimization>
    <CharacterSet>NotSet</CharacterSet>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <IncludePath>..\Include;$(IncludePath)</IncludePath>
    <OutDir>..\Lib\Debug\</OutDir>
    <TargetName>libcpmtd</TargetName>
    <IntDir>$(Configuration)\P\</IntDir>
    <LibraryPath>..\Lib\Debug;$(LibraryPath)</LibraryPath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <IncludePath>..\Include;$(IncludePath)</IncludePath>
    <OutDir>..\Lib\</OutDir>
    <IntDir>$(Configuration)\P\</IntDir>
    <LibraryPath>..\Lib;$(LibraryPath)</LibraryPath>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <ClCompile>
      <PrecompiledHeader>
      </PrecompiledHeader>
      <PreprocessorDefinitions>WIN32;_DEBUG;_LIB;NOSERVICE;_CRTBLD;_FN_WIDE;WINHEAP;_RTC;_MT;_CRT_NOFORCE_MANIFEST;_STL_NOFORCE_MANIFEST;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>Include;Include\P;IncludeCmn;SrcP;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
      <WarningLevel>Level3</WarningLevel>
      <TreatWarningAsError>true</TreatWarningAsError>
      <OmitFramePointers>
      </OmitFramePointers>
      <BufferSecurityCheck>true</BufferSecurityCheck>
      <StructMemberAlignment>8Bytes</StructMemberAlignment>
      <OmitDefaultLibName>true</OmitDefaultLibName>
      <MinimalRebuild>false</MinimalRebuild>
      <ErrorReporting>
      </ErrorReporting>
      <ForceConformanceInForLoopScope>
      </ForceConformanceInForLoopScope>
      <SmallerTypeCheck>false</SmallerTypeCheck>
      <BasicRuntimeChecks>Default</BasicRuntimeChecks>
      <RuntimeTypeInfo>false</RuntimeTypeInfo>
      <StringPooling>true</StringPooling>
      <ProgramDataBaseFileName>$(OutDir)$(TargetName).pdb</ProgramDataBaseFileName>
      <ExceptionHandling>false</ExceptionHandling>
    </ClCompile>
    <Link>
      <SubSystem>Windows</SubSystem>
      <GenerateDebugInformation>true</GenerateDebugInformation>
    </Link>
    <CustomBuild>
      <Command>ml /c /Cp /coff /Sa /Sn /Zd /D_DEBUG /I%(RootDir)%(Directory) /Fo$(IntDir)%(Filename).obj %(FullPath)</Command>
    </CustomBuild>
    <CustomBuild>
      <Message>Assembling %(Filename) ...</Message>
      <Outputs>$(IntDir)\%(filename).obj</Outputs>
    </CustomBuild>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <ClCompile>
      <PrecompiledHeader>
      </PrecompiledHeader>
      <Optimization>MinSpace</Optimization>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>false</IntrinsicFunctions>
      <PreprocessorDefinitions>WIN32;NDEBUG;_LIB;NOSERVICE;_CRTBLD;_FN_WIDE;WINHEAP;_RTC;_MT;_CRT_NOFORCE_MANIFEST;_STL_NOFORCE_MANIFEST;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>Include;Include\P;IncludeCmn;SrcP;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
      <WarningLevel>Level3</WarningLevel>
      <TreatWarningAsError>true</TreatWarningAsError>
      <OmitFramePointers>
      </OmitFramePointers>
      <BufferSecurityCheck>true</BufferSecurityCheck>
      <StructMemberAlignment>8Bytes</StructMemberAlignment>
      <OmitDefaultLibName>true</OmitDefaultLibName>
      <MinimalRebuild>false</MinimalRebuild>
      <ErrorReporting>
      </ErrorReporting>
      <ForceConformanceInForLoopScope>
      </ForceConformanceInForLoopScope>
      <SmallerTypeCheck>false</SmallerTypeCheck>
      <BasicRuntimeChecks>Default</BasicRuntimeChecks>
      <RuntimeTypeInfo>false</RuntimeTypeInfo>
      <StringPooling>true</StringPooling>
      <ProgramDataBaseFileName>$(OutDir)$(TargetName).pdb</ProgramDataBaseFileName>
      <ExceptionHandling>false</ExceptionHandling>
    </ClCompile>
    <Link>
      <SubSystem>Windows</SubSystem>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
    </Link>
    <CustomBuild>
      <Command>ml /c /Cp /coff /Sa /Sn /Zd /I%(RootDir)%(Directory) /Fo$(IntDir)%(Filename).obj %(FullPath)</Command>
    </CustomBuild>
    <CustomBuild>
      <Message>Assembling %(Filename) ...</Message>
      <Outputs>$(IntDir)\%(filename).obj</Outputs>
    </CustomBuild>
  </ItemDefinitionGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>